Package Details: numix-cursor-theme-git r37.d237ecd-1

Git Clone URL: https://aur.archlinux.org/numix-cursor-theme-git.git (read-only)
Package Base: numix-cursor-theme-git
Description: Numix cursor theme for Linux
Upstream URL: http://numixproject.org/
Licenses: GPL3
Submitter: ogarcia
Maintainer: ogarcia
Last Packager: ogarcia
Votes: 15
Popularity: 0.087714
First Submitted: 2016-10-23 11:24
Last Updated: 2018-07-19 07:40

Dependencies (3)

Required by (1)

Sources (1)

Latest Comments

ogarcia commented on 2018-07-19 07:41

@marcossffilho updated! Thanks for the hints!

Note: gtk-engine-murrine is not needed as depend.

marcossffilho commented on 2018-07-18 15:17

This respository is now broken because of some fixes recently done. I had to change the PKGBUILD to:

# Maintainer: "Amhairghin" Oscar Garcia Amor (https://ogarcia.me)

_pkgname=numix-cursor-theme
pkgname=${_pkgname}-git
pkgver=r37.d237ecd
pkgrel=1
pkgdesc="Numix cursor theme for Linux"
arch=('any')
url="http://numixproject.org/"
license=('GPLv3')
makedepends=('git' 'inkscape' 'xorg-xcursorgen' 'gtk-engine-murrine')
source=("${_pkgname}"::"git+https://github.com/numixproject/${_pkgname}.git")
sha256sums=('SKIP')

pkgver() {
  cd "${_pkgname}"
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

package() {
  cd "${_pkgname}"
  ./build.sh
  install -dm 755 "${pkgdir}/usr/share/icons"
  cp -dr --no-preserve='ownership' Numix-Cursor{,-Light} "${pkgdir}/usr/share/icons"
}

Anonymous comment on 2016-11-03 18:04

Yes I see. Thanks for package.

ogarcia commented on 2016-11-03 17:23

@poshus27 pkgver is generated by the pkgver() function

pkgver() {
cd "${_pkgname}"
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

You can see https://wiki.archlinux.org/index.php/VCS_package_guidelines for more info.

Anonymous comment on 2016-11-02 18:08

Please add pkgver=0.r32.e92186d.

schimicata commented on 2016-11-02 15:04

@ogarcia: okay, I didn't know that. But thanks for fixing the pkgbuild.

ogarcia commented on 2016-11-02 13:57

@schimicata this is a git package and cannot have sha256sum

schimicata commented on 2016-11-02 13:49

Everytime I upgrade my packages my package-manager is telling me that there's a new version of numix-cursor-theme-git available.
(aur/numix-cursor-theme-git r32.e92186d-1 -> 1-1)

But actually it isn't a new software-version. I think there's a conflict within the pkgbuild at line 5 and 6
(pkgver=1
pkgrel=1)

Could you keep an eye on it? And could you also add a sha256sum?